Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class MessageDrivenBeanTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.MessageDrivenBeanTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, MessageDrivenBeanType<T>

    public class MessageDrivenBeanTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, MessageDrivenBeanType<T>

This class implements the `message-driven-beanType` xsd type

Original Documentation:

The message-driven element declares a message-driven
bean. The declaration consists of:
- an optional description
- an optional display name
- an optional icon element that contains a small and a large
icon file name.
- a name assigned to the enterprise bean in
the deployment descriptor
- an optional mapped-name element that can be used to provide
vendor-specific deployment information such as the physical
jndi-name of destination from which this message-driven bean
should consume. This element is not required to be supported
by all implementations. Any use of this element is non-portable.
- the message-driven bean's implementation class
- an optional declaration of the bean's messaging
type
- an optional declaration of the bean's timeout method for
handling programmatically created timers
- an optional declaration of timers to be automatically created at
deployment time
- the optional message-driven bean's transaction management
type. If it is not defined, it is defaulted to Container.
- an optional declaration of the bean's
message-destination-type
- an optional declaration of the bean's
message-destination-link
- an optional declaration of the message-driven bean's
activation configuration properties
- an optional list of the message-driven bean class and/or
superclass around-invoke methods.
- an optional list of the message-driven bean class and/or
superclass around-timeout methods.
- an optional declaration of the bean's environment
entries
- an optional declaration of the bean's EJB references
- an optional declaration of the bean's local EJB
references
- an optional declaration of the bean's web service
references
- an optional declaration of the security role
references
- an optional declaration of the security
identity to be used for the execution of the bean's
methods
- an optional declaration of the bean's
resource manager connection factory
references
- an optional declaration of the bean's resource
environment references.
- an optional declaration of the bean's message
destination references

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`MessageDrivenBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`MessageDrivenBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`ActivationConfigType<MessageDrivenBeanType<T>>` | `activationConfig()` If not already created, a new `activation-config` element will be created and returned.
`AroundInvokeType<MessageDrivenBeanType<T>>` | `aroundInvoke()` Returns the `around-invoke` element
`AroundTimeoutType<MessageDrivenBeanType<T>>` | `aroundTimeout()` Returns the `around-timeout` element
`DataSourceType<MessageDrivenBeanType<T>>` | `dataSource()` Returns the `data-source` element
`EjbLocalRefType<MessageDrivenBeanType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<MessageDrivenBeanType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<MessageDrivenBeanType<T>>` | `envEntry()` Returns the `env-entry` element
`java.util.List<AroundInvokeType<MessageDrivenBeanType<T>>>` | `getAroundInvokeList()` Returns all `around-invoke` elements
`java.util.List<AroundTimeoutType<MessageDrivenBeanType<T>>>` | `getAroundTimeoutList()` Returns all `around-timeout` elements
`java.util.List<DataSourceType<MessageDrivenBeanType<T>>>` | `getDataSourceList()` Returns all `data-source` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getEjbClass()` Returns the `ejb-class` element
`java.util.List<EjbLocalRefType<MessageDrivenBeanType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<EjbRefType<MessageDrivenBeanType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<MessageDrivenBeanType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.util.List<IconType<MessageDrivenBeanType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getMessageDestinationLink()` Returns the `message-destination-link` element
`java.util.List<MessageDestinationRefType<MessageDrivenBeanType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.lang.String` | `getMessageDestinationType()` Returns the `message-destination-type` element
`java.lang.String` | `getMessagingType()` Returns the `messaging-type` element
`java.util.List<PersistenceContextRefType<MessageDrivenBeanType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<MessageDrivenBeanType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<MessageDrivenBeanType<T>>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<MessageDrivenBeanType<T>>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<ResourceEnvRefType<MessageDrivenBeanType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<MessageDrivenBeanType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.util.List<SecurityRoleRefType<MessageDrivenBeanType<T>>>` | `getSecurityRoleRefList()` Returns all `security-role-ref` elements
`java.util.List<TimerType<MessageDrivenBeanType<T>>>` | `getTimerList()` Returns all `timer` elements
`TransactionTypeType` | `getTransactionType()` Returns the `transaction-type` element
`java.lang.String` | `getTransactionTypeAsString()` Returns the `transaction-type` element
`IconType<MessageDrivenBeanType<T>>` | `icon()` Returns the `icon` element
`MessageDestinationRefType<MessageDrivenBeanType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`PersistenceContextRefType<MessageDrivenBeanType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<MessageDrivenBeanType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`LifecycleCallbackType<MessageDrivenBeanType<T>>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<MessageDrivenBeanType<T>>` | `preDestroy()` Returns the `pre-destroy` element
`MessageDrivenBeanType<T>` | `removeActivationConfig()` Removes the `activation-config` element
`MessageDrivenBeanType<T>` | `removeAllAroundInvoke()` Removes all `around-invoke` elements
`MessageDrivenBeanType<T>` | `removeAllAroundTimeout()` Removes all `around-timeout` elements
`MessageDrivenBeanType<T>` | `removeAllDataSource()` Removes all `data-source` elements
`MessageDrivenBeanType<T>` | `removeAllDescription()` Removes the `description` element
`MessageDrivenBeanType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`MessageDrivenBeanType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`MessageDrivenBeanType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`MessageDrivenBeanType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`MessageDrivenBeanType<T>` | `removeAllIcon()` Removes all `icon` elements
`MessageDrivenBeanType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`MessageDrivenBeanType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`MessageDrivenBeanType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`MessageDrivenBeanType<T>` | `removeAllPostConstruct()` Removes all `post-construct` elements
`MessageDrivenBeanType<T>` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`MessageDrivenBeanType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`MessageDrivenBeanType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`MessageDrivenBeanType<T>` | `removeAllSecurityRoleRef()` Removes all `security-role-ref` elements
`MessageDrivenBeanType<T>` | `removeAllTimer()` Removes all `timer` elements
`MessageDrivenBeanType<T>` | `removeEjbClass()` Removes the `ejb-class` element
`MessageDrivenBeanType<T>` | `removeEjbName()` Removes the `ejb-name` element
`MessageDrivenBeanType<T>` | `removeMappedName()` Removes the `mapped-name` element
`MessageDrivenBeanType<T>` | `removeMessageDestinationLink()` Removes the `message-destination-link` element
`MessageDrivenBeanType<T>` | `removeMessageDestinationType()` Removes the `message-destination-type` element
`MessageDrivenBeanType<T>` | `removeMessagingType()` Removes the `messaging-type` element
`MessageDrivenBeanType<T>` | `removeSecurityIdentity()` Removes the `security-identity` element
`MessageDrivenBeanType<T>` | `removeTimeoutMethod()` Removes the `timeout-method` element
`ResourceEnvRefType<MessageDrivenBeanType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<MessageDrivenBeanType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityIdentityType<MessageDrivenBeanType<T>>` | `securityIdentity()` If not already created, a new `security-identity` element will be created and returned.
`SecurityRoleRefType<MessageDrivenBeanType<T>>` | `securityRoleRef()` Returns the `security-role-ref` element
`MessageDrivenBeanType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`MessageDrivenBeanType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`MessageDrivenBeanType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`MessageDrivenBeanType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`MessageDrivenBeanType<T>` | `setEjbClass(java.lang.String ejbClass)` If not already created, a new `ejb-class` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setMessageDestinationLink(java.lang.String messageDestinationLink)` If not already created, a new `message-destination-link` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setMessageDestinationType(java.lang.String messageDestinationType)` If not already created, a new `message-destination-type` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setMessagingType(java.lang.String messagingType)` If not already created, a new `messaging-type` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setTransactionType(java.lang.String transactionType)` If not already created, a new `transaction-type` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setTransactionType(TransactionTypeType transactionType)` If not already created, a new `transaction-type` element with the given value will be created.
`NamedMethodType<MessageDrivenBeanType<T>>` | `timeoutMethod()` If not already created, a new `timeout-method` element will be created and returned.
`TimerType<MessageDrivenBeanType<T>>` | `timer()` Returns the `timer` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDrivenBeanTypeImpl

    public MessageDrivenBeanTypeImpl(T t,
                                     java.lang.String nodeName,
                                     org.jboss.shrinkwrap.descriptor.spi.Node node)

### MessageDrivenBeanTypeImpl

    public MessageDrivenBeanTypeImpl(T t,
                                     java.lang.String nodeName,
                                     org.jboss.shrinkwrap.descriptor.spi.Node node,
                                     org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public MessageDrivenBeanType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### setDescriptionList

    public MessageDrivenBeanType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `MessageDrivenBeanType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeAllDescription

    public MessageDrivenBeanType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `description`

### setDisplayName

    public MessageDrivenBeanType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### setDisplayNameList

    public MessageDrivenBeanType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `MessageDrivenBeanType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeAllDisplayName

    public MessageDrivenBeanType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public MessageDrivenBeanType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### icon

    public IconType<MessageDrivenBeanType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<MessageDrivenBeanType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `icon`

### removeAllEnvEntry

    public MessageDrivenBeanType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Specified by:
    `removeAllEnvEntry` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### envEntry

    public EnvEntryType<MessageDrivenBeanType<T>> envEntry()

  Returns the `env-entry` element

  Specified by:
    `envEntry` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    public java.util.List<EnvEntryType<MessageDrivenBeanType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Specified by:
    `getEnvEntryList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `env-entry`

### removeAllEjbRef

    public MessageDrivenBeanType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Specified by:
    `removeAllEjbRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### ejbRef

    public EjbRefType<MessageDrivenBeanType<T>> ejbRef()

  Returns the `ejb-ref` element

  Specified by:
    `ejbRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    public java.util.List<EjbRefType<MessageDrivenBeanType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Specified by:
    `getEjbRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    public MessageDrivenBeanType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Specified by:
    `removeAllEjbLocalRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### ejbLocalRef

    public EjbLocalRefType<MessageDrivenBeanType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Specified by:
    `ejbLocalRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    public java.util.List<EjbLocalRefType<MessageDrivenBeanType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Specified by:
    `getEjbLocalRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    public MessageDrivenBeanType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Specified by:
    `removeAllResourceRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### resourceRef

    public ResourceRefType<MessageDrivenBeanType<T>> resourceRef()

  Returns the `resource-ref` element

  Specified by:
    `resourceRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    public java.util.List<ResourceRefType<MessageDrivenBeanType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Specified by:
    `getResourceRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    public MessageDrivenBeanType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Specified by:
    `removeAllResourceEnvRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### resourceEnvRef

    public ResourceEnvRefType<MessageDrivenBeanType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Specified by:
    `resourceEnvRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    public java.util.List<ResourceEnvRefType<MessageDrivenBeanType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Specified by:
    `getResourceEnvRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    public MessageDrivenBeanType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Specified by:
    `removeAllMessageDestinationRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### messageDestinationRef

    public MessageDestinationRefType<MessageDrivenBeanType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Specified by:
    `messageDestinationRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    public java.util.List<MessageDestinationRefType<MessageDrivenBeanType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Specified by:
    `getMessageDestinationRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    public MessageDrivenBeanType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Specified by:
    `removeAllPersistenceContextRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### persistenceContextRef

    public PersistenceContextRefType<MessageDrivenBeanType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Specified by:
    `persistenceContextRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    public java.util.List<PersistenceContextRefType<MessageDrivenBeanType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Specified by:
    `getPersistenceContextRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    public MessageDrivenBeanType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Specified by:
    `removeAllPersistenceUnitRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### persistenceUnitRef

    public PersistenceUnitRefType<MessageDrivenBeanType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Specified by:
    `persistenceUnitRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    public java.util.List<PersistenceUnitRefType<MessageDrivenBeanType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Specified by:
    `getPersistenceUnitRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    public MessageDrivenBeanType<T> removeAllPostConstruct()

  Removes all `post-construct` elements

  Specified by:
    `removeAllPostConstruct` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### postConstruct

    public LifecycleCallbackType<MessageDrivenBeanType<T>> postConstruct()

  Returns the `post-construct` element

  Specified by:
    `postConstruct` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    public java.util.List<LifecycleCallbackType<MessageDrivenBeanType<T>>> getPostConstructList()

  Returns all `post-construct` elements

  Specified by:
    `getPostConstructList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `post-construct`

### removeAllPreDestroy

    public MessageDrivenBeanType<T> removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Specified by:
    `removeAllPreDestroy` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### preDestroy

    public LifecycleCallbackType<MessageDrivenBeanType<T>> preDestroy()

  Returns the `pre-destroy` element

  Specified by:
    `preDestroy` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    public java.util.List<LifecycleCallbackType<MessageDrivenBeanType<T>>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Specified by:
    `getPreDestroyList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `pre-destroy`

### removeAllDataSource

    public MessageDrivenBeanType<T> removeAllDataSource()

  Removes all `data-source` elements

  Specified by:
    `removeAllDataSource` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### dataSource

    public DataSourceType<MessageDrivenBeanType<T>> dataSource()

  Returns the `data-source` element

  Specified by:
    `dataSource` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `data-source`

### getDataSourceList

    public java.util.List<DataSourceType<MessageDrivenBeanType<T>>> getDataSourceList()

  Returns all `data-source` elements

  Specified by:
    `getDataSourceList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `data-source`

### setEjbName

    public MessageDrivenBeanType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Specified by:
    `setEjbName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeEjbName

    public MessageDrivenBeanType<T> removeEjbName()

  Removes the `ejb-name` element

  Specified by:
    `removeEjbName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getEjbName

    public java.lang.String getEjbName()

  Returns the `ejb-name` element

  Specified by:
    `getEjbName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `ejb-name`

### setMappedName

    public MessageDrivenBeanType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeMappedName

    public MessageDrivenBeanType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `mapped-name`

### setEjbClass

    public MessageDrivenBeanType<T> setEjbClass(java.lang.String ejbClass)

  If not already created, a new `ejb-class` element with the given value will be created. Otherwise, the existing `ejb-class` element will be updated with the given value.

  Specified by:
    `setEjbClass` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeEjbClass

    public MessageDrivenBeanType<T> removeEjbClass()

  Removes the `ejb-class` element

  Specified by:
    `removeEjbClass` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getEjbClass

    public java.lang.String getEjbClass()

  Returns the `ejb-class` element

  Specified by:
    `getEjbClass` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `ejb-class`

### setMessagingType

    public MessageDrivenBeanType<T> setMessagingType(java.lang.String messagingType)

  If not already created, a new `messaging-type` element with the given value will be created. Otherwise, the existing `messaging-type` element will be updated with the given value.

  Specified by:
    `setMessagingType` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeMessagingType

    public MessageDrivenBeanType<T> removeMessagingType()

  Removes the `messaging-type` element

  Specified by:
    `removeMessagingType` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getMessagingType

    public java.lang.String getMessagingType()

  Returns the `messaging-type` element

  Specified by:
    `getMessagingType` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `messaging-type`

### removeTimeoutMethod

    public MessageDrivenBeanType<T> removeTimeoutMethod()

  Removes the `timeout-method` element

  Specified by:
    `removeTimeoutMethod` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### timeoutMethod

    public NamedMethodType<MessageDrivenBeanType<T>> timeoutMethod()

  If not already created, a new `timeout-method` element will be created and returned. Otherwise, the existing `timeout-method` element will be returned.

  Specified by:
    `timeoutMethod` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `timeout-method`

### removeAllTimer

    public MessageDrivenBeanType<T> removeAllTimer()

  Removes all `timer` elements

  Specified by:
    `removeAllTimer` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### timer

    public TimerType<MessageDrivenBeanType<T>> timer()

  Returns the `timer` element

  Specified by:
    `timer` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `timer`

### getTimerList

    public java.util.List<TimerType<MessageDrivenBeanType<T>>> getTimerList()

  Returns all `timer` elements

  Specified by:
    `getTimerList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `timer`

### setTransactionType

    public MessageDrivenBeanType<T> setTransactionType(TransactionTypeType transactionType)

  If not already created, a new `transaction-type` element with the given value will be created. Otherwise, the existing `transaction-type` element will be updated with the given value.

  Specified by:
    `setTransactionType` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### setTransactionType

    public MessageDrivenBeanType<T> setTransactionType(java.lang.String transactionType)

  If not already created, a new `transaction-type` element with the given value will be created. Otherwise, the existing `transaction-type` element will be updated with the given value.

  Specified by:
    `setTransactionType` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getTransactionType

    public TransactionTypeType getTransactionType()

  Returns the `transaction-type` element

  Specified by:
    `getTransactionType` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `transaction-type`

### getTransactionTypeAsString

    public java.lang.String getTransactionTypeAsString()

  Returns the `transaction-type` element

  Specified by:
    `getTransactionTypeAsString` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `transaction-type`

### setMessageDestinationType

    public MessageDrivenBeanType<T> setMessageDestinationType(java.lang.String messageDestinationType)

  If not already created, a new `message-destination-type` element with the given value will be created. Otherwise, the existing `message-destination-type` element will be updated with the given value.

  Specified by:
    `setMessageDestinationType` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeMessageDestinationType

    public MessageDrivenBeanType<T> removeMessageDestinationType()

  Removes the `message-destination-type` element

  Specified by:
    `removeMessageDestinationType` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getMessageDestinationType

    public java.lang.String getMessageDestinationType()

  Returns the `message-destination-type` element

  Specified by:
    `getMessageDestinationType` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `message-destination-type`

### setMessageDestinationLink

    public MessageDrivenBeanType<T> setMessageDestinationLink(java.lang.String messageDestinationLink)

  If not already created, a new `message-destination-link` element with the given value will be created. Otherwise, the existing `message-destination-link` element will be updated with the given value.

  Specified by:
    `setMessageDestinationLink` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeMessageDestinationLink

    public MessageDrivenBeanType<T> removeMessageDestinationLink()

  Removes the `message-destination-link` element

  Specified by:
    `removeMessageDestinationLink` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### getMessageDestinationLink

    public java.lang.String getMessageDestinationLink()

  Returns the `message-destination-link` element

  Specified by:
    `getMessageDestinationLink` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `message-destination-link`

### removeActivationConfig

    public MessageDrivenBeanType<T> removeActivationConfig()

  Removes the `activation-config` element

  Specified by:
    `removeActivationConfig` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### activationConfig

    public ActivationConfigType<MessageDrivenBeanType<T>> activationConfig()

  If not already created, a new `activation-config` element will be created and returned. Otherwise, the existing `activation-config` element will be returned.

  Specified by:
    `activationConfig` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `activation-config`

### removeAllAroundInvoke

    public MessageDrivenBeanType<T> removeAllAroundInvoke()

  Removes all `around-invoke` elements

  Specified by:
    `removeAllAroundInvoke` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### aroundInvoke

    public AroundInvokeType<MessageDrivenBeanType<T>> aroundInvoke()

  Returns the `around-invoke` element

  Specified by:
    `aroundInvoke` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `around-invoke`

### getAroundInvokeList

    public java.util.List<AroundInvokeType<MessageDrivenBeanType<T>>> getAroundInvokeList()

  Returns all `around-invoke` elements

  Specified by:
    `getAroundInvokeList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `around-invoke`

### removeAllAroundTimeout

    public MessageDrivenBeanType<T> removeAllAroundTimeout()

  Removes all `around-timeout` elements

  Specified by:
    `removeAllAroundTimeout` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### aroundTimeout

    public AroundTimeoutType<MessageDrivenBeanType<T>> aroundTimeout()

  Returns the `around-timeout` element

  Specified by:
    `aroundTimeout` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `around-timeout`

### getAroundTimeoutList

    public java.util.List<AroundTimeoutType<MessageDrivenBeanType<T>>> getAroundTimeoutList()

  Returns all `around-timeout` elements

  Specified by:
    `getAroundTimeoutList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `around-timeout`

### removeAllSecurityRoleRef

    public MessageDrivenBeanType<T> removeAllSecurityRoleRef()

  Removes all `security-role-ref` elements

  Specified by:
    `removeAllSecurityRoleRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### securityRoleRef

    public SecurityRoleRefType<MessageDrivenBeanType<T>> securityRoleRef()

  Returns the `security-role-ref` element

  Specified by:
    `securityRoleRef` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `security-role-ref`

### getSecurityRoleRefList

    public java.util.List<SecurityRoleRefType<MessageDrivenBeanType<T>>> getSecurityRoleRefList()

  Returns all `security-role-ref` elements

  Specified by:
    `getSecurityRoleRefList` in interface `MessageDrivenBeanType<T>`
  Returns:
    list of `security-role-ref`

### removeSecurityIdentity

    public MessageDrivenBeanType<T> removeSecurityIdentity()

  Removes the `security-identity` element

  Specified by:
    `removeSecurityIdentity` in interface `MessageDrivenBeanType<T>`
  Returns:
    the current instance of `MessageDrivenBeanType`

### securityIdentity

    public SecurityIdentityType<MessageDrivenBeanType<T>> securityIdentity()

  If not already created, a new `security-identity` element will be created and returned. Otherwise, the existing `security-identity` element will be returned.

  Specified by:
    `securityIdentity` in interface `MessageDrivenBeanType<T>`
  Returns:
    the node defined for the element `security-identity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD